# $Revision: 1.47 $, $Date: 2007-12-08 18:22:12 $
# TODO:
# - logrotate file
%define		mod_name	jk
%define		apxs		/usr/sbin/apxs
Summary:	Apache module that handles communication between Tomcat and Apache
Summary(pl.UTF-8):	Moduł Apache'a obsługujący komunikację między Tomcatem a Apachem
Name:		apache-mod_%{mod_name}
Version:	1.2.25
Release:	1
License:	Apache License 2.0
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz
# Source0-md5:	4f614130c85f86d8d3359a03230db8a3
Source1:	%{name}.conf
Patch0:		%{name}-libtool.patch
Patch1:		%{name}-apxs.patch
URL:		http://tomcat.apache.org/connectors-doc/
BuildRequires:	apache-apxs >= 2.2
BuildRequires:	apache-devel >= 2.2.0-6.8
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jpackage-utils
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	apache(modules-api) = %{apache_modules_api}
Obsoletes:	apache-mod_jk2
Obsoletes:	jakarta-tomcat-connectors-jk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
JK is a replacement to the elderly mod_jserv. It was a completely new
Tomcat-Apache plug-in that handles the communication between Tomcat
and Apache.

%description -l pl.UTF-8
JK jest zamiennikiem starego mod_jserv. Jest całkowicie nową wtyczką
Tomcat-Apache obsługującą komunikację między Tomcatem a Apachem.

%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch0 -p1
%patch1 -p1

%build
cd native
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--with-apxs=%{apxs} \
	--with-java-home="%{java_home}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf,/var/{lock/mod_jk,log/httpd}}

%{__make} -C native install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/80_mod_jk.conf
touch $RPM_BUILD_ROOT/var/log/httpd/mod_jk.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/httpd/mod_jk.log ]; then
	umask 027
	touch /var/log/httpd/mod_jk.log
	chown root:logs /var/log/httpd/mod_jk.log
fi
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc native/{README,CHANGES,NEWS}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%attr(770,root,http) /var/lock/mod_jk
%attr(640,root,logs) %ghost /var/log/httpd/mod_jk.log

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_jk.spec,v $
Revision 1.47  2007-12-08 18:22:12  glen
- use jpackage macros for java home; rel 1

Revision 1.46  2007-08-20 00:02:47  glen
- update to 1.2.25

Revision 1.45  2007/06/07 10:52:59  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.44  2007/06/03 18:17:52  areq
- 1.2.23 [CVE-2007-1860]

Revision 1.43  2007/04/17 20:39:37  glen
- updated to 1.2.22
- Obsoletes apache-mod_jk2

Revision 1.42  2007/03/05 19:58:03  areq
- 1.2.21

Revision 1.41  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.39  2007/01/30 14:00:39  areq
- 1.2.20

Revision 1.38  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.37  2006/01/30 17:39:10  glen
- use %service

Revision 1.36  2006/01/02 13:32:58  glen
- add apxs patch (to pass -S DESTDIR when installing)

Revision 1.35  2005/12/28 14:24:25  glen
- apxs doesn't make pkglibdir, do it here

Revision 1.34  2005/12/28 14:19:32  glen
- cleanup BR (apr, apr-util are apache-devel deps, directly required here)
- fixed that changelog again

Revision 1.33  2005/12/28 14:15:05  glen
- fixed last commit message
- fixed post script order
- remove not needed hacks

Revision 1.32  2005/12/28 14:12:02  glen
- updated to 1.2.15
- call autotools from spec
- removed uneeded hacks
- EAPI is for apache 1.3
- rel 0.1

Revision 1.31  2005/12/26 23:59:19  glen
- unified, build fixes

Revision 1.30  2005/08/15 18:44:28  areq
- 1.2.14.1

Revision 1.29  2005/06/25 22:00:20  areq
- 1.2.13, builds

Revision 1.28  2005/03/11 18:07:15  qboosh
- create mod_jk.log with proper perms

Revision 1.27  2005/03/11 16:30:39  blues
- default log and more TODO

Revision 1.26  2005/03/11 16:18:18  blues
- 1.2.8 - almost builds on current  apache (see TODO)

Revision 1.25  2005/03/11 16:01:30  blues
- few more BR

Revision 1.24  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.23  2004/09/19 18:24:47  radek
- release 1: fixed build, cleanups, unifications
- dropped apache2 bcond (apache1-*.spec if you need it)

Revision 1.22  2003/09/11 13:21:21  arekm
- correct so name with apache 1.3

Revision 1.21  2003/09/11 13:09:38  ankry
- cosmetics

Revision 1.20  2003/09/11 13:07:42  arekm
- new rpm macros only needed for apache2

Revision 1.19  2003/09/11 13:03:20  arekm
- require only once

Revision 1.18  2003/09/11 12:57:40  arekm
- configration and BR are now separate for apache1 and apache2

Revision 1.17  2003/09/11 12:35:00  arekm
- require new rpm with new macros

Revision 1.16  2003/09/11 12:31:01  arekm
- builds with apache-2.0, now it's time to check apache-1.3

Revision 1.15  2003/09/11 10:59:57  arekm
- started updating the damn thing

Revision 1.14  2003/09/10 08:37:25  mick3y
- updated md5

Revision 1.13  2003/09/10 08:36:12  mick3y
- up to 1.2.4

Revision 1.12  2003/08/06 16:11:43  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.11  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.10  2003/06/10 13:10:31  wiget
- changed version to 1.2.3 (last available sources)

Revision 1.9  2003/06/10 13:05:27  ankry
- rel. 0.1: missing source

Revision 1.8  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/12/29 01:42:51  qboosh
- Requires(post,preun)

Revision 1.5  2002/12/21 20:15:10  qboosh
- one more s/mod_dav/mod_jk/

Revision 1.4  2002/12/15 09:37:30  qboosh
- pl description
- s/mod_dav/mod_jk/g
- set umask before grep -v

Revision 1.3  2002/12/13 15:26:08  ankry
- adapterized

Revision 1.2  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.1  2002/11/26 23:20:36  misiek
- unfinished (seems that tarball doesn't contain all required files)
